# Connect to Feast

## Feast Python SDK

The Feast Python SDK is used as a library to interact with a Feast deployment.

* Define, register, and manage entities and features
* Ingest data into Feast
* Build and retrieve training datasets
* Retrieve online features

{% page-ref page="python-sdk.md" %}

## Feast CLI

The Feast CLI is a command line implementation of the Feast Python SDK.

* Define, register, and manage entities and features from the terminal
* Ingest data into Feast
* Manage ingestion jobs

{% page-ref page="feast-cli.md" %}

## Online Serving Clients

The following clients can be used to retrieve online feature values:

* [Feast Python SDK](https://api.docs.feast.dev/python/)
* [Feast Go SDK](https://godoc.org/github.com/feast-dev/feast/sdk/go)
* [Feast Java SDK](https://javadoc.io/doc/dev.feast/feast-sdk)

